Subject: [RTG-DIR] FW: Last Call Review of draft-ietf-roll-efficient-npdao

From: Eric Gray <[email-masked]>
Date: Mon, 8 Jul 2019 10:52:29 +0000

Amy pointed out that I forgot to include the RTG-Dir mailing list in this.

I got a reply from Alvaro, and I had included the ROLL mailing list.

I also sent a follow-up correction as I had gotten paste all over myself.

--
Eric

From: Eric Gray
Sent: Thursday, June 27, 2019 12:41 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Alvaro Retana (aretana) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Last Call Review of draft-ietf-roll-efficient-npdao

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-roll-efficient-npdao
Reviewer: Eric Gray
Review Date: 26 June 2019
IETF LC End Date: 26 June 2019
Intended Status: Standards Track

Summary:
Perhaps I am missing some subtleties, but this document looks like it may need a little more work before it is published.

Overall comments:
The document is mostly well written.

Issues:

In the introduction, I have some trouble parsing “an optional messaging” – perhaps it was meant to just be “optional messaging?”

There are difference between the abstract (which claims the document describes issues with NPDAO) and the Introduction (which goes further to say that the document also discusses requirements and specifies a new message intended to meet the requirements and solve the problems.

So, it’s a problem statement, requirements document and solution specification all rolled into one.  I guess this is not a problem for anyone in the WG?

The title for section 1.3 should probably be “Why is NPDAO Important.”

In that section, I have to wonder if saving memory is the most important factor in removing route information that is no longer valid.  What about issues with forwarding packets toward destinations that can no longer be reached along that path?

Perhaps I misunderstand the approach, but it seems to me that the problems mentioned in section 2.1 should self-resolve.  The fact that one node cannot send messages to another node to inform that node that it has no DAO information seems kind of irrelevant if the node, or the link connecting it, is no longer there.

Perhaps the issue you’re really trying to describe is with unreliable links and nodes, as opposed to missing links and nodes?  That would make sense in a low-power and lossy network.

If the behavior described in section 2.2 is common, and a more reasonable behavior is not anticipated by the original NPDAO specification, than I agree that is a problem.

If the problems described in 2.1 and 2.3 do exist, it seems likely that the underlying issue is really about an assumption of reliable delivery where that might not be the reality.

All of this said, the 3 requirements seem reasonable at least as far as they go.  There seems to be an implied requirement to introduce at least some level of reliability (as I seems intended by providing the DCO-ACK). And there probably should be a requirement to support compatibility with deployed implementations.

AFAICT, this document does not describe how nodes using the newly specified messaging and behavior would be compatible with deployed nodes.  Minimally the document should be clear if the intention is not to provide for compatibility.  There are at least a couple of indications that there is deployment.